| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Gdk.Enums

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Description
General enumeration types.
Synopsis

data CapStyle

= CapNotLast
| CapButt
| CapRound
| CapProjecting

data CrossingMode

= CrossingNormal
| CrossingGrab
| CrossingUngrab
| CrossingGtkGrab
| CrossingGtkUngrab
| CrossingStateChanged

data Dither

= RgbDitherNone
| RgbDitherNormal
| RgbDitherMax

data DragProtocol

= DragProtoMotif
| DragProtoXdnd
| DragProtoRootwin
| DragProtoNone
| DragProtoWin32Dropfiles
| DragProtoOle2
| DragProtoLocal

data DragAction

= ActionDefault
| ActionCopy
| ActionMove
| ActionLink
| ActionPrivate
| ActionAsk

data EventMask

= ExposureMask
| PointerMotionMask
| PointerMotionHintMask
| ButtonMotionMask
| Button1MotionMask
| Button2MotionMask
| Button3MotionMask
| ButtonPressMask
| ButtonReleaseMask
| KeyPressMask
| KeyReleaseMask
| EnterNotifyMask
| LeaveNotifyMask
| FocusChangeMask
| StructureMask
| PropertyChangeMask
| VisibilityNotifyMask
| ProximityInMask
| ProximityOutMask
| SubstructureMask
| ScrollMask
| AllEventsMask

data Modifier

= Shift
| Lock
| Control
| Alt
| Alt2
| Alt3
| Alt4
| Alt5
| Button1
| Button2
| Button3
| Button4
| Button5
| Super
| Hyper
| Meta
| Release
| ModifierMask

data ExtensionMode

= ExtensionEventsNone
| ExtensionEventsAll
| ExtensionEventsCursor

data Fill

= Solid
| Tiled
| Stippled
| OpaqueStippled

data Function

= Copy
| Invert
| Xor
| Clear
| And
| AndReverse
| AndInvert
| Noop
| Or
| Equiv
| OrReverse
| CopyInvert
| OrInvert
| Nand
| Nor
| Set

data InputCondition

= InputRead
| InputWrite
| InputException

data JoinStyle

= JoinMiter
| JoinRound
| JoinBevel

data LineStyle

= LineSolid
| LineOnOffDash
| LineDoubleDash

data NotifyType

= NotifyAncestor
| NotifyVirtual
| NotifyInferior
| NotifyNonlinear
| NotifyNonlinearVirtual
| NotifyUnknown

data ScrollDirection

= ScrollUp
| ScrollDown
| ScrollLeft
| ScrollRight

data SubwindowMode

= ClipByChildren
| IncludeInferiors

data VisibilityState

= VisibilityUnobscured
| VisibilityPartialObscured
| VisibilityFullyObscured

data WindowState

= WindowStateWithdrawn
| WindowStateIconified
| WindowStateMaximized
| WindowStateSticky
| WindowStateFullscreen
| WindowStateAbove
| WindowStateBelow

data WindowEdge

= WindowEdgeNorthWest
| WindowEdgeNorth
| WindowEdgeNorthEast
| WindowEdgeWest
| WindowEdgeEast
| WindowEdgeSouthWest
| WindowEdgeSouth
| WindowEdgeSouthEast

data WindowTypeHint

= WindowTypeHintNormal
| WindowTypeHintDialog
| WindowTypeHintMenu
| WindowTypeHintToolbar
| WindowTypeHintSplashscreen
| WindowTypeHintUtility
| WindowTypeHintDock
| WindowTypeHintDesktop
| WindowTypeHintDropdownMenu
| WindowTypeHintPopupMenu
| WindowTypeHintTooltip
| WindowTypeHintNotification
| WindowTypeHintCombo
| WindowTypeHintDnd

data Gravity

= GravityNorthWest
| GravityNorth
| GravityNorthEast
| GravityWest
| GravityCenter
| GravityEast
| GravitySouthWest
| GravitySouth
| GravitySouthEast
| GravityStatic

data GrabStatus

= GrabSuccess
| GrabAlreadyGrabbed
| GrabInvalidTime
| GrabNotViewable
| GrabFrozen

data OwnerChange

= OwnerChangeNewOwner
| OwnerChangeDestroy
| OwnerChangeClose

Documentation
data CapStyle

Specify the how the ends of a line is drawn.
Constructors

CapNotLast |
CapButt |
CapRound |
CapProjecting |

Instances

Enum CapStyle
Eq CapStyle
Show CapStyle

data CrossingMode

How focus is crossing the widget.
Constructors

CrossingNormal |
CrossingGrab |
CrossingUngrab |
CrossingGtkGrab |
CrossingGtkUngrab |
CrossingStateChanged |

Instances

Enum CrossingMode
Eq CrossingMode
Show CrossingMode

data Dither

Specify how to dither colors onto the screen.
Constructors

RgbDitherNone |
RgbDitherNormal |
RgbDitherMax |

Instances

Enum Dither
Eq Dither
Show Dither

data DragProtocol

Used in Graphics.UI.Gtk.Gdk.Drag.DragContext to indicate the protocol according to which DND is done.
Constructors

DragProtoMotif |
DragProtoXdnd |
DragProtoRootwin |
DragProtoNone |
DragProtoWin32Dropfiles |
DragProtoOle2 |
DragProtoLocal |

Instances

Bounded DragProtocol
Enum DragProtocol
Eq DragProtocol
Show DragProtocol

data DragAction

Used in Graphics.UI.Gtk.Genearl.Drag.DragContext to indicate what the destination should do with the dropped data.

- `ActionDefault`: Initialisation value, should not be used.
- `ActionCopy`: Copy the data.
- `ActionMove`: Move the data, i.e. first copy it, then delete it from the source.
- `ActionLink`: Add a link to the data. Note that this is only useful if source and destination agree on what it means.
- `ActionPrivate`: Special action which tells the source that the destination will do something that the source doesn't understand.
- `ActionAsk`: Ask the user what to do with the data.

Constructors

ActionDefault |
ActionCopy |
ActionMove |
ActionLink |
ActionPrivate |
ActionAsk |

Instances

Bounded DragAction
Enum DragAction
Eq DragAction
Show DragAction
Flags DragAction

data EventMask

Specify which events a widget will emit signals on.
Constructors

ExposureMask |
PointerMotionMask |
PointerMotionHintMask |
ButtonMotionMask |
Button1MotionMask |
Button2MotionMask |
Button3MotionMask |
ButtonPressMask |
ButtonReleaseMask |
KeyPressMask |
KeyReleaseMask |
EnterNotifyMask |
LeaveNotifyMask |
FocusChangeMask |
StructureMask |
PropertyChangeMask |
VisibilityNotifyMask |
ProximityInMask |
ProximityOutMask |
SubstructureMask |
ScrollMask |
AllEventsMask |

Instances

Bounded EventMask
Enum EventMask
Eq EventMask
Show EventMask
Flags EventMask

data Modifier

Keyboard modifiers that are depressed when the user presses a key or a mouse button.

- This data type is used to build lists of modifers that were active during an event.
- The Apple key on Macintoshs is mapped to `Alt2` and the `Meta` key (if available).
- Since Gtk 2.10, there are also `Super`, `Hyper` and `Meta` modifiers which are simply generated from `Alt` .. Compose modifier keys, depending on the mapping used by the windowing system. Due to one key being mapped to e.g. `Alt2` and `Meta`, you shouldn't pattern match directly against a certain key but check whether a key is in the list using the `elem` function, say.

Constructors

Shift |
Lock |
Control |
Alt |
Alt2 |
Alt3 |
Alt4 |
Alt5 |
Button1 |
Button2 |
Button3 |
Button4 |
Button5 |
Super |
Hyper |
Meta |
Release |
ModifierMask |

Instances

Bounded Modifier
Enum Modifier
Eq Modifier
Show Modifier
Flags Modifier

data ExtensionMode

specify which input extension a widget desires
Constructors

ExtensionEventsNone |
ExtensionEventsAll |
ExtensionEventsCursor |

Instances

Bounded ExtensionMode
Enum ExtensionMode
Eq ExtensionMode
Show ExtensionMode
Flags ExtensionMode

data Fill

How objects are filled.
Constructors

Solid |
Tiled |
Stippled |
OpaqueStippled |

Instances

Enum Fill
Eq Fill
Show Fill

data Function

Determine how bitmap operations are carried out.
Constructors

Copy |
Invert |
Xor |
Clear |
And |
AndReverse |
AndInvert |
Noop |
Or |
Equiv |
OrReverse |
CopyInvert |
OrInvert |
Nand |
Nor |
Set |

Instances

Enum Function
Eq Function
Show Function

data InputCondition

Specify on what file condition a callback should be done.
Constructors

InputRead |
InputWrite |
InputException |

Instances

Bounded InputCondition
Enum InputCondition
Eq InputCondition
Flags InputCondition

data JoinStyle

Constructors

JoinMiter |
JoinRound |
JoinBevel |

Instances

Enum JoinStyle
Eq JoinStyle
Show JoinStyle

data LineStyle

Determines if a line is solid or dashed.
Constructors

LineSolid |
LineOnOffDash |
LineDoubleDash |

Instances

Enum LineStyle
Eq LineStyle
Show LineStyle

data NotifyType

Information on from what level of the widget hierarchy the mouse cursor came.

`NotifyAncestor`
  The window is entered from an ancestor or left towards an ancestor.
`NotifyVirtual`
  The pointer moves between an ancestor and an inferior of the window.
`NotifyInferior`
  The window is entered from an inferior or left towards an inferior.
`NotifyNonlinear`
  The window is entered from or left towards a window which is neither an ancestor nor an inferior.
`NotifyNonlinearVirtual`
  The pointer moves between two windows which are not ancestors of each other and the window is part of the ancestor chain between one of these windows and their least common ancestor.
`NotifyUnknown`
  The level change does not fit into any of the other categories or could not be determined.

Constructors

NotifyAncestor |
NotifyVirtual |
NotifyInferior |
NotifyNonlinear |
NotifyNonlinearVirtual |
NotifyUnknown |

Instances

Enum NotifyType
Eq NotifyType
Show NotifyType

data ScrollDirection

in which direction was scrolled?
Constructors

ScrollUp |
ScrollDown |
ScrollLeft |
ScrollRight |

Instances

Enum ScrollDirection
Eq ScrollDirection
Show ScrollDirection

data SubwindowMode

Constructors

ClipByChildren |
IncludeInferiors |

Instances

Enum SubwindowMode
Eq SubwindowMode
Show SubwindowMode

data VisibilityState

Constructors

VisibilityUnobscured |
VisibilityPartialObscured |
VisibilityFullyObscured |

Instances

Enum VisibilityState
Eq VisibilityState
Show VisibilityState

data WindowState

The state a `DrawWindow` is in.
Constructors

WindowStateWithdrawn |
WindowStateIconified |
WindowStateMaximized |
WindowStateSticky |
WindowStateFullscreen |
WindowStateAbove |
WindowStateBelow |

Instances

Bounded WindowState
Enum WindowState
Eq WindowState
Show WindowState
Flags WindowState

data WindowEdge

Determines a window edge or corner.
Constructors

WindowEdgeNorthWest |
WindowEdgeNorth |
WindowEdgeNorthEast |
WindowEdgeWest |
WindowEdgeEast |
WindowEdgeSouthWest |
WindowEdgeSouth |
WindowEdgeSouthEast |

Instances

Enum WindowEdge
Eq WindowEdge
Show WindowEdge

data WindowTypeHint

Constructors

WindowTypeHintNormal |
WindowTypeHintDialog |
WindowTypeHintMenu |
WindowTypeHintToolbar |
WindowTypeHintSplashscreen |
WindowTypeHintUtility |
WindowTypeHintDock |
WindowTypeHintDesktop |
WindowTypeHintDropdownMenu |
WindowTypeHintPopupMenu |
WindowTypeHintTooltip |
WindowTypeHintNotification |
WindowTypeHintCombo |
WindowTypeHintDnd |

Instances

Enum WindowTypeHint
Eq WindowTypeHint
Show WindowTypeHint

data Gravity

Defines the reference point of a window and the meaning of coordinates passed to Graphics.UI.Gtk.Windows.Window.windowMove. See Graphics.UI.Gtk.Windows.Window.windowMove and the implementation notes section of the extended window manager hints specification for more details.
Constructors

GravityNorthWest |
GravityNorth |
GravityNorthEast |
GravityWest |
GravityCenter |
GravityEast |
GravitySouthWest |
GravitySouth |
GravitySouthEast |
GravityStatic |

Instances

Enum Gravity
Eq Gravity
Show Gravity

data GrabStatus

Constructors

GrabSuccess |
GrabAlreadyGrabbed |
GrabInvalidTime |
GrabNotViewable |
GrabFrozen |

Instances

Enum GrabStatus
Eq GrabStatus
Show GrabStatus

data OwnerChange

Constructors

OwnerChangeNewOwner |
OwnerChangeDestroy |
OwnerChangeClose |

Instances

Enum OwnerChange
Eq OwnerChange
Show OwnerChange

Produced by Haddock version 2.4.2